Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3CanvasPolygon Class Reference

The Q3CanvasPolygon class provides a polygon on a Q3Canvas. More...

    #include <Q3CanvasPolygon>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits Q3CanvasPolygonalItem.

Inherited by Q3CanvasSpline.

- List of all members, including inherited members

### Public Functions

- Q3CanvasPolygon ( Q3Canvas * canvas )
- ~Q3CanvasPolygon ()
- virtual QPointArray areaPoints () const
- QPointArray points () const
- virtual int rtti () const
- void setPoints ( QPointArray pa )

- 8 public functions inherited from Q3CanvasPolygonalItem
- 34 public functions inherited from Q3CanvasItem

### Protected Functions

- virtual void drawShape ( QPainter & p )

- 6 protected functions inherited from Q3CanvasPolygonalItem
- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasPolygon class provides a polygon on a Q3Canvas.

Paints a polygon with a QBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

Note: Q3CanvasPolygon does not use the pen.

## Member Function Documentation

### Q3CanvasPolygon::Q3CanvasPolygon ( Q3Canvas * canvas )

Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

### Q3CanvasPolygon::~Q3CanvasPolygon ()

Destroys the polygon.

### QPointArray Q3CanvasPolygon::areaPoints () const `[virtual]`

Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

Reimplemented from Q3CanvasPolygonalItem.

See also setPoints() and points().

### void Q3CanvasPolygon::drawShape ( QPainter & p ) `[virtual protected]`

Draws the polygon using the painter p.

Note that Q3CanvasPolygon does not support an outline (the pen is always NoPen).

Reimplemented from Q3CanvasPolygonalItem.

### QPointArray Q3CanvasPolygon::points () const

Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

### int Q3CanvasPolygon::rtti () const `[virtual]`

Returns 4 (Q3CanvasItem::Rtti_Polygon).

Reimplemented from Q3CanvasItem.

See also Q3CanvasItem::rtti().

### void Q3CanvasPolygon::setPoints ( QPointArray pa )

Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.